package com.zd.exam.mapper;

import com.zd.exam.domain.ElQuAnswer;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 候选答案(ElQuAnswer)表数据库访问层
 *
 * @author liubo
 * @since 2021-08-30 17:10:21
 */
public interface ElQuAnswerMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    ElQuAnswer queryById(Long id);

    /**
     * 查询指定行数据
     *
     * @param offset 查询起始位置
     * @param limit  查询条数
     * @return 对象列表
     */
    List<ElQuAnswer> queryAllByLimit(@Param("offset") int offset, @Param("limit") int limit);


    /**
     * 通过实体作为筛选条件查询
     *
     * @param elQuAnswer 实例对象
     * @return 对象列表
     */
    List<ElQuAnswer> queryAll(ElQuAnswer elQuAnswer);

    /**
     * 新增数据
     *
     * @param elQuAnswer 实例对象
     * @return 影响行数
     */
    int insert(ElQuAnswer elQuAnswer);

    /**
     * 批量新增数据（MyBatis原生foreach方法）
     *
     * @param entities List<ElQuAnswer> 实例对象列表
     * @return 影响行数
     */
    int insertBatch(@Param("entities") List<ElQuAnswer> entities);

    /**
     * 批量新增或按主键更新数据（MyBatis原生foreach方法）
     *
     * @param entities List<ElQuAnswer> 实例对象列表
     * @return 影响行数
     */
    int insertOrUpdateBatch(@Param("entities") List<ElQuAnswer> entities);

    /**
     * 修改数据
     *
     * @param elQuAnswer 实例对象
     * @return 影响行数
     */
    int update(ElQuAnswer elQuAnswer);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Long id);

    int deleteByQuId(Long quId);

    int deleteByIds(List<Long> ids);
}

